Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 56 lines (42 sloc) 0.962 kB
ba57575 Remove references to ActionDispatch::Routing::Routes in favor of Rail…
Carl Lerche authored
1 source 'http://rubygems.org'
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored
2
759eb36 @josevalim Actually, bring Arel back to Gemfile and use git repo since it helps …
josevalim authored
3 gem "arel", :git => "git://github.com/rails/arel.git"
6690d66 @josevalim Rename config.cookie_secret to config.secret_token and pass it as con…
josevalim authored
4 gem "rails", :path => File.dirname(__FILE__)
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored
5
6 gem "rake", ">= 0.8.7"
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
7 gem "mocha", ">= 0.9.8"
2944a79 @fxn bump required RDoc to >= 2.5.9, and replace the 2.2 horo.rb with Aaro…
fxn authored
8 gem "rdoc", ">= 2.5.9"
9 gem "horo"
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
10
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
11 # AS
12 gem "memcache-client", ">= 1.8.5"
13
14 # AM
15 gem "text-format", "~> 1.0.0"
16
17 platforms :mri_18 do
61001e7 @spastorino group :mri deleted in favor of RUBY_ENGINE and RUBY_VERSION usage.
spastorino authored
18 gem "system_timer"
19 gem "ruby-debug", ">= 0.10.3"
20 end
21
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
22 platforms :ruby do
2218493 @jeremy Bundle json and yajl-ruby gems for AS::JSON testing
jeremy authored
23 gem 'json'
24 gem 'yajl-ruby'
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
25 gem "nokogiri", ">= 1.4.2"
5714438 @spastorino Unforce memcache from AS
spastorino authored
26
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
27 # AR
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
28 gem "sqlite3-ruby", "~> 1.3.1", :require => 'sqlite3'
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
29
30 group :db do
e50bf67 @josevalim Bring pg back.
josevalim authored
31 gem "pg", ">= 0.9.0"
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
32 gem "mysql", ">= 2.8.1"
33 end
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
34 end
35
36 platforms :jruby do
37 gem "system_timer"
38 gem "ruby-debug", ">= 0.10.3"
39
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
40 gem "activerecord-jdbcsqlite3-adapter"
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored
41
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
42 group :db do
43 gem "activerecord-jdbcmysql-adapter"
44 gem "activerecord-jdbcpostgresql-adapter"
45 end
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored
46 end
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
47
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
48 env 'CI' do
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
49 gem "nokogiri", ">= 1.4.2"
f14eb68 @jeremy CI: bundle test-unit on 1.9
jeremy authored
50
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
51 platforms :ruby_18 do
52 # fcgi gem doesn't compile on 1.9
53 gem "fcgi", ">= 0.8.8"
54 end
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
55 end
Something went wrong with that request. Please try again.